<style>
.center-txt {
    text-align: center
}
</style>

<pre class="center-txt">
________                        ____  __
__  ___/__      _______ _______ __  |/ /
_____ \__ | /| / /  __ `/_  __ `/_    / 
____/ /__ |/ |/ // /_/ /_  /_/ /_    |  
/____/ ____/|__/ \__,_/ _\__, / /_/|_|  
                        /____/          
</pre>


<p class="center-txt">An API Path Extraction Suite for OpenAPI/Swagger definitions</p>

<div class="center-txt">

[Introduction](#Introduction) • [Installation](#Installation) • [Usage](#Usage) • [Notes](#Notes) • [License](#License)

</div>

---

## Introduction

SwagX (Swagger eXtractor) is an API paths/endpoints extraction program. The program takes an API definition file (currently only supports JSON files) as an input and writes data to a file with all extracted paths/endpoints.

The program is compatible with OpenAPI/Swagger 2.0 and 3.x definitions.

## Installation

SwagX (Swagger eXtractor) is written in Python 3, hence you need a python 3.4 interepreter to run the program. Once installed, execute the following command in your terminal or shell to get SwagX

```sh
pip install swagx
```

## Usage

After a successful installation, the tool is made available system-wide.
You can simply run the following command to see the banner of the program.

```sh
swagx
```

To extract paths/endpoints from an API definition, the following is the usage. 
```
swagx <file_path>
```

Once an extraction is completed it's output is written to a file named `output.swagx' which is simply a text file appended with a custom extension.

### Example(s):

- If a definition file (.json) is in current directory, the following is the usage
```sh
swagx swagger.json
```

- If a definition file is somewhere else from current directory, the following is the usage
```sh
swagx ~\monkey\swagger.json
```

## Notes

- The program uses `jq` a JSON query processor to post-process the results. This tool if required may be downloaded to the current directory where the program is running or may use an exisiting installation.

- Support for YAML files and other functions as extensions are Work-In-Progress (WIP). 

- Any enhancements or bugs can be created by opening an Issue and tagging it with 'swagx' as label.

## License

The program is licensed under the terms of the GPL Open Source license and is available for free.

