import io
from setuptools import setup, find_packages
from os import path
this_directory = path.abspath(path.dirname(__file__))
with io.open(path.join(this_directory, 'README.md'), encoding='utf-8') as f:
    desc = f.read()

setup(
    name='swagx',
    version=__import__('swagx').__version__,
    description='API Path Extraction Suite for OpenAPI/Swagger definitions',
    long_description=desc,
    long_description_content_type='text/markdown',
    author='254 Labs',
    author_email='labs.254@outlook.com',
    license='GNU General Public License v3 (GPLv3)',
    url='https://github.com/254labs/swagx',
    download_url='https://github.com/254labs/swagx/archive/v%s.zip' %
    __import__('swagx').__version__,
    zip_safe=False,
    packages=find_packages(),
    package_data={'arjun': ['db/*']},
    install_requires=[
        'requests',
    ],
    classifiers=[
        'Development Status :: 5 - Production/Stable',
        'Environment :: Console',
        'Intended Audience :: Developers',
        'Intended Audience :: Information Technology',
        'License :: OSI Approved :: GNU General Public License v3 (GPLv3)',
        'Operating System :: OS Independent',
        'Programming Language :: Python :: 3.6',
        'Topic :: Security',
        'Topic :: Utilities',
        'Topic :: Text Processing',      
    ],
    entry_points={
        'console_scripts': [
            'swagx = swagx.__main__:main'
        ]
    },
    keywords=['api', 'swagger', 'openapi', 'extract', 'extraction', 'paths',
              'pentest tool', 'pentesting', 'security', 'json', 'yaml'],
)